Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.impl.heuristic.selector.entity
Enum PlanningEntitySelectionOrder

    java.lang.Object
      java.lang.Enum<PlanningEntitySelectionOrder>
          org.optaplanner.core.impl.heuristic.selector.entity.PlanningEntitySelectionOrder

All Implemented Interfaces:
  Serializable, Comparable<PlanningEntitySelectionOrder>

Deprecated.

    @Deprecated
    public enum PlanningEntitySelectionOrder

extends Enum<PlanningEntitySelectionOrder>

Enum Constant Summary
`DECREASING_DIFFICULTY` Deprecated.
`ORIGINAL` Deprecated.
`RANDOM` Deprecated.

Method Summary
`static PlanningEntitySelectionOrder` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static PlanningEntitySelectionOrder[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ORIGINAL

    public static final PlanningEntitySelectionOrder ORIGINAL

  Deprecated.

### RANDOM

    public static final PlanningEntitySelectionOrder RANDOM

  Deprecated.

### DECREASING_DIFFICULTY

    public static final PlanningEntitySelectionOrder DECREASING_DIFFICULTY

  Deprecated.

Method Detail

### values

    public static PlanningEntitySelectionOrder[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlanningEntitySelectionOrder c : PlanningEntitySelectionOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlanningEntitySelectionOrder valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.